20
aaccaaabbcbcaacaccaabbbbcccbbbbcbbaaa
aaccaaabbcbcaacacbbabcacabcbcbbbaabbb
aabbcbcbaacabbaabaabbbbcaaacaabaabcbcaaaacbcbbcbaacbbcbacabacbcaaaaa
aabbcbcbaacabbaabaabbbbcaaacaabaabcbcaaaacbcbbcbacbacbabaaabcbbcabcc
accbabcbcbcbbcabcacaccacbcababccbbcbbbbbbcaccaacabbcbcacacaaaaaaacbc
accbabcbcbcbbcabcacaccacbcababccbbcbbbbbbcaccaacbaaabcbcccbccbaababa
acbbbcaabaabbbcccacabbaabbbbaa
acbbbcaabacbccabbcacabaaaccaac
caacbabbcbacbbbaccbcacbbcccbababbccacacbbcbaaabbaa
caacbabbcbacbbbaccbcacbbcccbabcbbacabccacbcbcbbacc
ccaaabaabbaaacccabcbccacbacbccacbabbbacbabcaaabcbaaaaaaaccbacacaccbaabcccaaacaaacaacc
ccaaabaabbaaacccabcbccacbacbccacbabbbacbabcaaabcbaaaaaaaccbacacacbbcccbbbbccbabcbaaca
ccabcacccbabaacbabbacaabbcabbcbb
ccabcacccbabbbcbbacbccbbaabccabc
cbaccababcaaacaabcaacbcccbbcbcacbbaaaccccbccaaaacccbbcbaaaabbaaaba
cbaccababcaaacaabcaacbcccbbcbcacbbaaaccccbccaababcbaaacabbccccaaac
bacacccbaaabaaaabaaccaaacbaaccaabacccbccabbbcabccbcbaaabaabb
bacacccbaaabaaaabaaccaaacbaaccaabacccbcccacaacbabcabaaabcaba
bcccccababbacbbccacbcaacbababcbcaaacbcabbbcbaccaacbcacaccacbbcbbab
bcccccababbacbbccacbcaacbababcbcaaacbcabbbcbacbcbcabcbcbcbbabaaabc
20
aacaaabbacbabbabaabbacbbbcbccccbababccbcaaacabcaaaccbcbacaabbcaccbbcbbaabcbabbbabccac
aacaaabbacbabbabaabbacbbbcbccccbababccbcaaacabcaaaccbcbacaabbcaccacabaabcbacacaabbaca
abcbacccaabcbacaabcaccbbcbbccaacbcbaccbbcacbcababcbbacaaaa
abcbacccaabcbacaabcaccbbcbbccaacbcbaccaaccaabacccbcaabccaa
bbaababbbbaacbbbbaabaababaccbcacbbabaccacababccacbcbac
bbaababbbbaacbbbbaabaababaccbcacbbbabccaaabcbbbbbbabcb
bbbbcaabaacbbcaabcababcaaccccbcbcaabaacabaaabacaab
bbbbcaabaacbbcaabcababcaaccccbacbbbcbbacababacacbc
bbbacaabaacaabbbabbacbcacbaacacccbbbaacabccaacccacababacababcbaaccaaabbcbabbccbbacc
bbbacaabaacaabbbabbacbcacbaacacccbbbaacabccaacccacababacababcbabaccccaccabcacbaccaa
cacaaacacbababcaababbacaabbcacabcccbabccbbbbaaccbcccccaccbaacbbbbbb
cacaaacacbababcaababbacaabbcacabcccbabccbbbbaacbccbaccabcccbcbabcbc
bbaacaabbcccbbabacbbbbcabbabaacbbcbbacabccbcaabaaccbababaacabaaaacbcbcabaaabcabbcacbc
bbaacaabbcccbbabacbbbbcabbabaacbbcbbacabccbcaabaaccbababaacabaaaaabcaaacbaabcbabbabab
cbbcbcacbaabbccbcccbcccbcaccabacacbabcaccacbbcabbacbbccbcbcccaccaabbbaccbabccaaabaccccba
cbbcbcacbaabbccbcccbcccbcaccabacacbabcaccacbbcabbacbbccbcbcccaccaabbcbbbbbacccaaccbcbbaa
ccacbcaacaacacbacbaabcbcbcaabcccacaacacaaccccaabccccaaccaabbbcbcbcaccbbcacab
ccacbcaacaacacbacbaabcbcbcaabcccacaacacaaccccaabccccaaccbbcbcbbbacbacaaabcac
caaabbaacacacbbcbabcccccacaaacbabbaacbcbabcaaacbababcccc
caaabbaacacacbbcbabcccccacaaacbabbaaabbcabcabcbaabacaacb
